'use strict';

const React = require('react');
const useDayPicker = require('../useDayPicker.cjs');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e.default : e; }

const React__default = /*#__PURE__*/_interopDefaultCompat(React);

/**
 * Render the button to navigate to the previous month in the calendar.
 *
 * @group Components
 * @see https://daypicker.dev/guides/custom-components
 */
function PreviousMonthButton(props) {
    const { components } = useDayPicker.useDayPicker();
    return React__default.createElement(components.Button, { ...props });
}

exports.PreviousMonthButton = PreviousMonthButton;
